// ignore_for_file: avoid_print, non_constant_identifier_names, unused_local_variable
import 'package:firebase_auth_helper/firebase_auth_helper.dart';
import 'package:flutter/material.dart';

main() {
  final AuthProvider authProvider = FirebaseAuthProvider.fromInstance();
  authProvider.signOut();
  final signInResult = authProvider.emailPasswordSignIn(
      LoginCredentials("some@email.com", "secretPassword"));
  final AuthUser? currentUser = authProvider.currentAuthUser;
  if (currentUser != null) {
    print("""
    Currently logged in as: ${currentUser.displayName},
    ${currentUser.email},
    ${currentUser.id}""");
  } else {
    print("Not logged in");
  }

  authProvider.authStateChanged.listen((authUser) {
    print("Auth user changed");
    print("Is logged in: ${authUser != null}");
    if (authUser != null) {
      print(
          "Currently logged in as: ${authUser.displayName}, ${authUser.email}, ${authUser.id}");
    }
  });

  final AuthStateWrapper authStateWrapper = AuthStateWrapper(
      authProvider: authProvider,
      signedIn: (context) => HomePage(),
      notSignedIn: (context) => LoginPage(),
      loading: (context) => const CircularProgressIndicator(),
      error: (context, error) => Text("Error occurred: $error"));
}

Widget HomePage() => const Text("Logged in");

Widget LoginPage() => const Text("Please login");
